<? include_once("../includes/main.inc.php");

$headerTitleName = "Add New State";



$page_id = $_REQUEST['page_id'];

$country_id = '1';

$county_slider_name = addslashes($county_slider_name);

$county_slider_id = addslashes($county_slider_id);

$status = addslashes($status);


if(is_post_back()) {
                    $qs= explode("_", $county_slider_id );
			        $qs1 =$qs[0];
					$qs2 =$qs[1];

	if($page_id!='') {/*		 

		

		$sql = "update `tbl_state` set country_id='".addslashes($country_id)."', state_name='".addslashes($state_name)."', keyword='".addslashes($keyword)."', state_title='".addslashes($state_title)."', state_descriptions='".addslashes($state_descriptions)."', state_phone='".addslashes($state_phone)."', state_email='".addslashes($state_email)."', state_modified=now() where state_id = $page_id ";

		db_query($sql);

		

		########### Update Image sv_image ################

		if($_FILES['slider']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS1_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS1_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[slider]['name']);

				copy($_FILES['slider']['tmp_name'], UP_FILES_FS1_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['slider']['tmp_name'], UP_FILES_FS1_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS1_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS1_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[slider][type] =="image/pjpeg" OR $_FILES[slider][type]=="image/jpeg" OR $_FILES[slider][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[slider][type]=="image/pjpeg" OR $_FILES[slider][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			db_query("update tbl_state set state_banner='".$sv_image_1."' where state_id = $page_id ");

		}
       

		set_session_msg("District updated successfully.");	



	

	*/} else{	

	
		
		########### Uploading Image Insert Bases ################

		if($_FILES['slider']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS1_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS1_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[slider]['name']);

				copy($_FILES['slider']['tmp_name'], UP_FILES_FS1_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['slider']['tmp_name'], UP_FILES_FS1_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS1_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS1_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[slider][type] =="image/pjpeg" OR $_FILES[slider][type]=="image/jpeg" OR $_FILES[slider][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[slider][type]=="image/pjpeg" OR $_FILES[slider][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}
		}
		

	  
		$sql = "insert into `tbl_county_slider` set county_slider_name='".addslashes($sv_image_1)."', status='".addslashes($status)."', county_slider_id='".addslashes($qs1)."', county_name='".addslashes($qs2)."'";

		db_query($sql);

		set_session_msg("New County Slider added successfully.");



	}

	header("Location: county_slider.php?start=$start");

	exit;

}



$page_id = $_REQUEST['page_id'];

if($page_id!='') {

	$sql = "select `tbl_state`.*,`tbl_country`.country_name,`tbl_state`.state_status,`tbl_state`.country_id from `tbl_state` join `tbl_country` on `tbl_state`.country_id=`tbl_country`.country_id where state_id = '$page_id'";

	$result = db_query($sql);

	if ($line_raw = mysql_fetch_array($result)) {

		//$line_raw = ms_form_value($line_raw);

		@extract($line_raw);

		

	}

}

?>

<link href="styles.css" rel="stylesheet" type="text/css">



<? include("top.inc.php");?>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

  <tr>

    <td id="pageHead"><div id="txtPageHead">

       Add/Edit State Slider Images.</div></td>

  </tr>

</table>

<script type="text/javascript" src="fckeditor/fckeditor.js"></script>

<table width="80%" align="left">

		  	<tr><td>

		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">

        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">

    	<tr>

		<td  colspan="2"height="30"  align="right"><a href="county_slider.php?start=<?=$start?>" class="redcolor"><strong>Back To County Slider List</strong></a></td>

		</tr>    

        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  


       <tr>

		  <td class="lables"><b>County Slider Name</b></td>

          <td class="feildstxt">

          	<select id="county_slider_id" name="county_slider_id">

          		<!--<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>-->

                <?php
             
          		$sqls=mysql_query("select * from tbl_county where county_status=1 order by county_name ASC");

          		while($ress=mysql_fetch_array($sqls))

          		{

          			if($ress['county_id']==$county_id)
          			{
                       
						echo "<option value='".$ress['county_id']."_".$ress['county_name']."' selected>".$ress['county_name']."</option>";

					}

					else

					{
					  
						echo "<option value='".$ress['county_id']."_".$ress['county_name']."' >".$ress['county_name']."</option>";

					}

				}

          		?>

          	</select>

          </td>

        </tr>


        <tr><td>&nbsp;</td></tr>
        
		<tr>

		  <td class="lables"><b>Status</b></td>

          <td class="feildstxt"><select name="status" id="status">

          <option value="1" <?php if($state_status=='1'){ echo 'selected="selected"'; } ?>>Active</option>

          <option value="0" <?php if($state_status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          

          </select></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

      <tr>

		  <td class="lables" colspan="2"><hr/></td>

        </tr>

       
       <tr><td>&nbsp;</td></tr>
	   <tr><td>&nbsp;</td></tr>
		<tr><td>&nbsp;</td></tr>
        
		<tr>

		  <td class="lables"><b>County Slider Image</b></td>

          <td class="feildstxt"><input type="file" name="slider" id="slider"  /></td>

        </tr>

        
		
		<tr><td>&nbsp;</td></tr>

       

        <tr>

        <td align="left" class="lables">&nbsp;</td>

        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>

        </tr>

        <tr><td height="25">&nbsp;</td></tr>

   </table>

    </form>

    </td></tr></table>   

   <!-- <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_descriptions','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad1','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad2','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad3','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script> -->

  <? include("bottom.inc.php");?>